import { CSSProperties } from 'react';
import { ComponentMeta } from '@storybook/react';
import type { KpiProps } from '@opendatasoft/visualizations';
import { KpiCard } from 'src';
declare const meta: ComponentMeta<typeof KpiCard>;
export default meta;
type KpiCardStoryProps = KpiProps & {
    style?: CSSProperties;
};
export declare const Loading: import("@storybook/types").AnnotatedStoryFn<import("@storybook/react").ReactRenderer, {
    [key: string]: KpiCardStoryProps;
}>;
export declare const ShortValue: import("@storybook/types").AnnotatedStoryFn<import("@storybook/react").ReactRenderer, {
    [key: string]: KpiCardStoryProps;
}>;
export declare const LongValue: import("@storybook/types").AnnotatedStoryFn<import("@storybook/react").ReactRenderer, {
    [key: string]: KpiCardStoryProps;
}>;
export declare const RatioKPI: import("@storybook/types").AnnotatedStoryFn<import("@storybook/react").ReactRenderer, {
    [key: string]: KpiCardStoryProps;
}>;
export declare const ComparisonKPI: import("@storybook/types").AnnotatedStoryFn<import("@storybook/react").ReactRenderer, {
    [key: string]: KpiCardStoryProps;
}>;
